#define PPM 0
#define JPEG 1

struct Camera
{
  int dev;
  int greyscale;
  int draw;
  int frozen;
  int update_camera;
  int capture;
  int saving;
  int savetype;
  int docked;
  int dump;
  struct video_capability vid_caps;
  struct video_window vid_win;
  struct video_picture vid_pic;
  struct video_clip vid_clips[32];
  unsigned char *pic;
  unsigned char *savebuf;
  char devname[256];
  GtkWidget *drawing_area;
  GtkWidget *controlcontainer, *controltop, *controlwindow;
  pthread_mutex_t pic_mutex, draw_mutex;
  GdkPixmap *pixmap;
};

void display(struct Camera*);
void delete_event(GtkWidget*, GdkEvent*, gpointer);
void open_cam(struct Camera*);
void close_cam(struct Camera*);
void print_cam_info(struct Camera*);
void get_cam_info(struct Camera*);
